TAO_CatIOR
1

# &applname;

Stringified IOR decoder and viewer.

## SYNOPSIS

          &applname;
          -ORBoptions
          -f file
          -n name

## DESCRIPTION

&applname; takes in a `file` which contains the IOR and will then output the encoded information to stdout.

Details of stringified IOR are described for example in page 33 of OMG CORBA specification, Part 2: Interoperability, v3.1..

Examples of IOR can be found in `/usr/share/doc/tao-utils/` directory.

## OPTIONS

`-ORBoptions`

  The program follows the usual TAO ORB command line syntax. See &man_tao_orb_options;.

`-f` filename

  Takes in a `file` which contains the IOR and will then output the encoded information to stdout.

`-n` named

  Displays decoded IOR of the named object registered at NamingService.

## EXAMPLES

&applname; -f `/usr/share/doc/tao-utils/test/test1.ior`

  Displays decoded IOR from `/usr/share/doc/tao-utils/test/test1.ior`.

## SEE ALSO

&seealso;

## AUTHOR

Jeff Hopper<jrhopper@cts.com>

Jason Cohen<jcohen@atl.lmco.com>